#ifndef __window_h
#define __window_h
#include "core/config.h"
#include <QMainWindow>

class QWidget;
class QStackedWidget;
class QCloseEvent;
class SideBar;

class MainWindow final : public QMainWindow {
		Q_OBJECT

	public:
		MainWindow(QWidget* parent = nullptr);
		void SetActivePage(QWidget* page);
		void CreateBars();
		void closeEvent(QCloseEvent* event) override;

	private:
		QWidget* main_widget;
		QStackedWidget* stack;
		SideBar* sidebar;
};

#endif // __window_h
